# nng_tls_engine_fips_mode(3tls) Manual Page

## NAME

nng_tls_engine_fips_mode - TLS FIPS 140-2 mode indicator

## SYNOPSIS

    #include <nng/supplemental/tls/tls.h>

    bool nng_tls_engine_fips_mode(void);

## DESCRIPTION

The `nng_tls_engine_fips_mode()` returns `true` if the TLS engine is operating in FIPS 140-2 mode, and `false` otherwise.

| FIPS 140-2 references a United States standard for the use of cryptography in information processing systems.

| The default TLS engine does not support FIPS 140-2 mode, and will always return false. Alternative implementations with such support may be available from commercial suppliers.

| Generally the FIPS 140-2 mode cannot be changed after program startup.

## RETURN VALUES

True if the TLS engine is in FIPS 140-2 mode, false otherwise.

## ERRORS

None.

## SEE ALSO

nng_tls_engine(5), nng(7)